#ifndef TITAN_PCBCAM_ABSTRACTDATAIO_H
#define TITAN_PCBCAM_ABSTRACTDATAIO_H
#include "../titanpcbcamglobal.h"
#include <QObject>


class TITAN_PCBCAM_EXPORT PcbCamAbstractDataIo : public QObject
{
    Q_OBJECT
public:
    explicit PcbCamAbstractDataIo(QObject *parent = nullptr):QObject(parent){}
    ~PcbCamAbstractDataIo(){}
    virtual void clearJobDataCache(const QString &/*iJobPath*/) {}
    virtual QVariantList getDbList() = 0;
    virtual QVariantList getJobList(const QString &iDb = "") = 0;
    virtual QByteArray readJobData(const QString &iJobPath, const QString &iRealtivePath) = 0;
    virtual bool writeJobData(const QString &iJobPath, const QString &iRealtivePath, const QByteArray &iData) = 0;
};


#endif // TITAN_PCBCAM_ABSTRACTDATAIO_H
